Skip to main content
GET
List interview events

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Query Parameters

cursor
string

Opaque pagination cursor from the previous page's pagination.next_cursor, bound to the same query filters.

limit
integer
default:25

Page size. Must be between 1 and 100; defaults to 25.

Required range: 1 <= x <= 100
ids
string[]

Comma-separated list of IDs; maximum 100 values.

Minimum array length: 1

an interview event ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:int_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
start_at_gte
string<date-time>

Matches interview events starting at or after this timestamp; combines with other filters using AND.

start_at_lte
string<date-time>

Matches interview events starting before this timestamp; combines with other filters using AND.

interviewer_ids
string[]

Matches events with any listed interviewer; combines with other filters using AND.

Minimum array length: 1

an user ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:usr_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
interview_module_ids
string[]

Matches events with any listed interview module; combines with other filters using AND.

Minimum array length: 1

an interview module ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:mod_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
candidate_ids
string[]

Matches events for any listed candidate; combines with other filters using AND.

Minimum array length: 1

a candidate ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:can_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
application_ids
string[]

Matches events for any listed application; combines with other filters using AND.

Minimum array length: 1

an application ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:app_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
job_ids
string[]

Matches events for any listed job; combines with other filters using AND.

Minimum array length: 1

a job ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:job_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
statuses
enum<string>[]

Matches events with any listed status; combines with other filters using AND.

Minimum array length: 1
Available options:
SCHEDULED,
COMPLETED,
CANCELED
created_at_gte
string<date-time>

Filters records created at or after this timestamp.

created_at_lte
string<date-time>

Filters records created at or before this timestamp.

updated_at_gte
string<date-time>

Filters records updated at or after this timestamp.

updated_at_lte
string<date-time>

Filters records updated at or before this timestamp.

Response

Success

data
object[]
required
pagination
object
required